### Name: denoise
### Title: Noise removal, blurring and smoothing or images
### Aliases: mediansmooth mediansmooth,Image-method blur blur,Image-method
###   denoise denoise,Image-method despeckle despeckle,Image-method gblur
###   gblur,Image-method noise noise,Image-method sharpen
###   sharpen,Image-method umask umask,Image-method
### Keywords: file

### ** Examples

  w <- 120
  a <- Image((0:(w^2))/w^2, c(w,w))
  if ( interactive() ) display(a)
  b <- normalize(noise(a) * 0.1)
  if ( interactive() ) display(b)
  dn <- despeckle(b)
  if ( interactive() ) display(dn)
  bl <- blur(dn, 4, 2)
  if ( interactive() ) display(bl)



